matrix:
- name: mkdocs
  pipeline:
  - pyspelling.filters.html:
      comments: false
      attributes:
      - title
      - alt
      ignores:
      - ':matches(code, pre)'
      - 'a:matches(.magiclink-compare, .magiclink-commit, .magiclink-repository)'
      - '.md-social__link'
      - 'span.keys'
      - '.arithmatex, .md-nav__link, .md-footer-custom-text, .md-source__repository, .headerlink, .md-icon'
  - pyspelling.filters.url:
  sources:
  - site/**/*.html
  aspell:
    lang: en
  dictionary:
    wordlists:
    - docs/src/dictionary/en-custom.txt
    output: build/dictionary/mkdocs.dic